Summary: Fuduntu Cairo Dock Configuration
Name: fuduntu-cairo-dock
Version: 1.0
Release: 7
BuildArch: noarch
License: GPL+
Group: User Interface/System Utilities

Source0: %{name}-%{version}.tar.bz2
URL: http://www.fuduntu.org

Requires:	cairo-dock
Requires:	cairo-dock-python
Requires:	cairo-dock-plug-ins-webkit
Obsoletes:	fuduntu-awn

%description
This is the configuration metapackage that applies the Fuduntu cairo dock configuration

%prep
%setup -q

%build

%post

%install
mkdir -p $RPM_BUILD_ROOT/etc/xdg/autostart
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
install -m 0755 etc/xdg/autostart/compiz-runonce.desktop $RPM_BUILD_ROOT/etc/xdg/autostart
install -m 0755 usr/local/bin/compiz-check $RPM_BUILD_ROOT/usr/local/bin
install -m 0755 usr/local/bin/cairo-runonce.sh $RPM_BUILD_ROOT/usr/local/bin
install -m 0755 usr/local/bin/compiz-runonce.sh $RPM_BUILD_ROOT/usr/local/bin
#install -m 0755 usr/local/bin/awn-startup.sh $RPM_BUILD_ROOT/usr/local/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/share/applications
install -m 755 usr/share/applications/fuduntu-panel.desktop $RPM_BUILD_ROOT/usr/share/applications


%files
%defattr(-, root, root)
/etc/xdg/autostart/compiz-runonce.desktop
/usr/local/bin/compiz-check
/usr/local/bin/cairo-runonce.sh
/usr/local/bin/compiz-runonce.sh
#/usr/local/bin/awn-startup.sh
/usr/share/applications/fuduntu-panel.desktop

%changelog
* Fri Dec 28 2012 Andrew Wyatt <andrew@fuduntu.org> 1.0-7
- Fix up dependencies

* Mon Dec 24 2012 Andrew Wyatt <andrew@fuduntu.org> 1.0-5
- Migration path away from AWN

* Sun Dec 23 2012 Andrew Wyatt <andrew@fuduntu.org> 1.0-2
- Cairo Dock is our new default dock

